.shipping-cart-section .top-bar {
  display: flex;
  justify-content: space-between;
  padding-bottom: 10px;
  border-bottom: 2px solid #e8e7e7;
  margin-bottom: 20px;
}
.shipping-cart-section .top-bar .items-cart {
  font-weight: 600;
  margin-bottom: 0px;
  font-size: 18px;
  color: #2d2d2d;
}

.shipping-cart-section .top-bar .clear-cart {
  font-size: 16px;
  color: #2d2d2d;
  cursor: pointer;
  font-weight: 500;
}

.shipping-cart-section .top-bar .back-to-cart {
  /* animation: slideIn 0.3s ease; */
  cursor: pointer;
}

@keyframes slideIn {
  from {
    padding-left: 0;
    opacity: 0;
    transform: translateX(-10px);
  }

  to {
    padding-left: 40px;
    opacity: 1;
    transform: translateX(0);
  }
}

.shipping-cart-section .top-bar .delete-cart {
  font-size: 16px;
  text-decoration: none;
  color: #252525;
  display: flex;
  gap: 5px;
  align-items: center;
  font-weight: 500;
}

.shipping-cart-section .top-bar .delete-cart .inner_icon {
  margin-right: 10px;
}

.shipping-cart-section .top-bar .delete-cart .icon-wrapper {
  height: 20px;
  width: 20px;
  display: flex;
}

.shipping-cart-section .top-bar .delete-cart .icon-wrapper img {
  width: 100%;
  height: 100%;
}

.shipping-cart-section .top-bar .clear-cart:hover {
  color: #ee4823;
  text-decoration: underline;
}

.shipping-cart-section .cart-item {
  display: flex;
  gap: 20px;
  margin-bottom: 20px;
}
.shipping-cart-section .cart-item .item-checkbox-wrapper {
  margin: auto;
}

.shipping-cart-section
  .cart-item
  .item-checkbox-wrapper
  input[type="checkbox"] {
  width: 20px;
  height: 20px;
  accent-color: #000;
}
.shipping-cart-section .cart-item .item-checkbox-wrapper input {
}

.shipping-cart-section .cart-item .item-img {
  width: 20%;
  padding: 0px;
  background: #a7a9ab;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 12px;
  position: relative;
  max-height: 175px;
  overflow: hidden;
}

.shipping-cart-section .cart-item .checkbox-wrapper {
  display: flex;
  align-items: center;
}

.shipping-cart-section .cart-item .item-img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 10px;
  overflow: hidden;
  object-position: center;
}

.shipping-cart-section .cart-item .item-img .edit_div {
  position: absolute;
  bottom: 10px;
  left: 50%;
  transform: translate(-50%, 0);
  display: flex;
  align-items: center;
  justify-content: center;
  background: rgb(126 126 126 / 60%);
  backdrop-filter: blur(8px);
  -webkit-backdrop-filter: blur(8px);
  border-radius: 6px;
  width: fit-content;
  padding: 0 10px;
  padding: 4px 10px;
}

.shipping-cart-section .cart-item .item-img .edit_div .icon_holder {
  width: 24px;
  height: 24px;
  background: #ffffff;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.shipping-cart-section .cart-item .item-img .edit_div .icon_holder .edit_icon {
  font-size: 13px;
  color: #a3a3a396;
}

.shipping-cart-section .cart-item .item-img .edit_div .inner_text {
  font-size: 15px;
  margin-bottom: 0px;
  color: #fff;
  font-weight: 400;
  margin-left: 5px;
  cursor: pointer;
  white-space: nowrap;
}

.shipping-cart-section .cart-item .item-content {
  flex: 1 1;
  display: flex;
  flex-direction: column;
  background: #ffffff 0% 0% no-repeat padding-box;
  box-shadow: 0px 3px 6px #00000029;
  border-radius: 12px;
  padding: 10px;
}

.shipping-cart-section .cart-item .top-row {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 5px;
}

.shipping-cart-section .cart-item .product-name {
  color: #2d2d2d;
  font-weight: 600;
  font-size: 18px;
  margin: 0;
  display: -webkit-box;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
  overflow: hidden;
  word-break: break-all;
  width: 90%;
}

.shipping-cart-section .cart-item .order_no {
  background: #f5f5f5 0% 0% no-repeat padding-box;
  border-radius: 11px;
  width: fit-content;
  font-size: 13px;
  padding: 2px 9px;
  color: #717171;
  font-weight: 400;
  margin-bottom: 3px;
}

.shipping-cart-section .form-check-input:checked {
  background-color: #2d2d2d;
  border-color: #2d2d2d;
  width: 20px;
  height: 20px;
  border-radius: 0px;
}

.shipping-cart-section .form-check-input:focus {
  box-shadow: none !important;
}

.shipping-cart-section .cart-item .top-row .cross_btn_holder {
  cursor: pointer;
  font-size: 18px;
  height: 27px;
  width: 27px;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  background: #f5f5f5;
  color: #a2acb5;
  font-weight: 500;
  font-size: 25px;
  aspect-ratio: 1/1;
}

.shipping-cart-section .cart-item .sub {
  font-size: 15px;
  margin: 5px 0 10px;
  color: #2d2d2d;
  font-weight: 500;
}

.shipping-cart-section .cart-item .sub .inner_p_text {
  display: -webkit-box;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
  overflow: hidden;
  word-break: break-all;
  color: #2d2d2d;
  font-weight: 500;
  margin-bottom: 0px;
}

.shipping-cart-section .cart-item .bottom_div {
  display: flex;
  justify-content: space-between;
}

.shipping-cart-section .cart-item .bottom_div .price_div {
}

.shipping-cart-section .cart-item .bottom_div .price_div .price_text {
  color: #ee4823;
  font-size: 20px;
  margin-bottom: 0px;
  font-weight: 600;
}

.shipping-cart-section .cart-item .bottom_div .price_div .subtext {
  color: #747474;
  font-weight: 500;
  font-size: 12px;
  margin-bottom: 0px;
}

.shipping-cart-section .cart-item .bottom_div .qty_div {
}

.shipping-cart-section .cart-item .bottom_div .qty_div .inner_text {
  color: #2d2d2d;
  font-size: 15px;
  margin-bottom: 0px;
  font-weight: 500;
}

.shipping-cart-section .cart-item .bottom_div .detail_text {
  color: #ee4823;
  text-decoration: underline;
  font-weight: 500;
  margin-bottom: 0px;
  cursor: pointer;
}

.shipping-cart-section .cart-item .bottom_div .detail_text:hover {
  color: #2d2d2d;
}

@media (min-width: 1200px) and (max-width: 1399px) {
  .shipping-cart-section .cart-item .product-name {
    font-size: 17px !important;
  }

  .shipping-cart-section .cart-item .bottom_div .qty_div .inner_text {
    font-size: 15px !important;
  }

  .shipping-cart-section .cart-item .bottom_div .price_div .price_text {
    font-size: 19px !important;
  }

  .shipping-cart-section .top-bar .clear-cart {
    font-size: 15px !important;
  }

  .shipping-cart-section .top-bar .items-cart {
    font-size: 17px;
  }

  .shipping-cart-section .cart-item .bottom_div .detail_text {
    font-size: 15px;
  }
}

@media (min-width: 992px) and (max-width: 1199px) {
  .shipping-cart-section .cart-item {
    gap: 15px;
  }

  .shipping-cart-section .cart-item .top-row .remove {
    height: 27px;
    width: 27px;
    font-size: 18px;
  }

  .shipping-cart-section .cart-item .sub {
    font-size: 14px;
    margin: 5px 0 6px;
  }

  .shipping-cart-section .top-bar .items-cart {
    font-size: 15px;
  }

  .shipping-cart-section .cart-item .item-img {
    width: 23%;
  }

  .shipping-cart-section .cart-item .product-name {
    font-size: 17px;
  }

  .shipping-cart-section .cart-item .bottom_div .price_div .price_text {
    font-size: 18px;
  }

  .shipping-cart-section .cart-item .bottom_div .qty_div .inner_text {
    font-size: 15px;
  }

  .shipping-cart-section .cart-item .bottom_div .detail_text {
    font-size: 15px;
  }

  .shipping-cart-section .cart-item .item-img .edit_div .inner_text {
    font-size: 14px;
  }

  .shipping-cart-section .cart-item .item-img .edit_div .icon_holder {
    width: 22px;
    height: 22px;
  }

  .shipping-cart-section
    .cart-item
    .item-img
    .edit_div
    .icon_holder
    .edit_icon {
    font-size: 12px;
  }

  .shipping-cart-section .cart-item .product-name {
    font-size: 17px !important;
  }

  .shipping-cart-section .cart-item .bottom_div .qty_div .inner_text {
    font-size: 15px !important;
  }

  .shipping-cart-section .cart-item .bottom_div .price_div .price_text {
    font-size: 19px !important;
  }

  .shipping-cart-section .top-bar .clear-cart {
    font-size: 15px !important;
  }

  .shipping-cart-section .top-bar .items-cart {
    font-size: 17px;
  }

  .shipping-cart-section .cart-item .bottom_div .detail_text {
    font-size: 15px;
  }
}

@media (min-width: 768px) and (max-width: 991.98px) {
  .shipping-cart-section .cart-item {
    padding: 15px 0;
  }

  .shipping-cart-section .cart-item .bottom_div .detail_text {
    font-size: 15px;
  }

  .shipping-cart-section .cart-item .product-name {
    font-size: 17px !important;
  }

  .shipping-cart-section .cart-item .bottom_div .qty_div .inner_text {
    font-size: 15px !important;
  }

  .shipping-cart-section .cart-item .bottom_div .price_div .price_text {
    font-size: 19px !important;
  }

  .shipping-cart-section .top-bar .clear-cart {
    font-size: 15px !important;
  }

  .shipping-cart-section .top-bar .items-cart {
    font-size: 17px;
  }
}

@media (min-width: 576px) and (max-width: 767.98px) {
  .shipping-cart-section .cart-item {
    gap: 10px;
    padding: 15px 0;
  }

  .shipping-cart-section .cart-item .top-row .remove {
    height: 22px;
    width: 22px;

    font-size: 16px;
  }

  .shipping-cart-section .cart-item .top-row .product-name {
    font-size: 15px;
  }

  .shipping-cart-section .cart-item .sub {
    font-size: 13px;
    margin: 2px 0;
    gap: 4px;
  }

  .shipping-cart-section .top-bar .items-cart {
    font-size: 14px;
  }

  .shipping-cart-section .top-bar .delete-cart {
    font-size: 15px;
  }

  .shipping-cart-section .top-bar .back-to-cart {
    /* padding-left: 29px; */
  }

  .shipping-cart-section .cart-item .product-name {
    font-size: 17px !important;
  }

  .shipping-cart-section .cart-item .bottom_div .qty_div .inner_text {
    font-size: 15px !important;
  }

  .shipping-cart-section .cart-item .bottom_div .price_div .price_text {
    font-size: 19px !important;
  }

  .shipping-cart-section .top-bar .clear-cart {
    font-size: 15px !important;
  }

  .shipping-cart-section .top-bar .items-cart {
    font-size: 17px;
  }

  .shipping-cart-section .cart-item .item-img {
    width: 26% !important;
  }

  .shipping-cart-section .cart-item .sub .inner_p_text {
    margin-bottom: 10px !important;
  }

  .shipping-cart-section .cart-item .item-img .edit_div .inner_text {
    font-size: 14px !important;
  }

  .shipping-cart-section .cart-item .bottom_div .detail_text {
    font-size: 15px;
  }
  .shipping-cart-section .cart-item .bottom_div {
    flex-wrap: wrap;
  }
}

@media (min-width: 0px) and (max-width: 575.98px) {
  .shipping-cart-section .cart-item {
    display: flex;
    align-items: flex-start;
    gap: 12px;
    padding: 12px 0;
    flex-direction: column;
    margin-bottom: 10px;
  }

  .shipping-cart-section .top-bar {
    padding-bottom: 6px;
    flex-direction: row;
  }

  .shipping-cart-section .top-bar .items-cart {
    font-weight: 600;
    font-size: 14px;
  }

  .shipping-cart-section .top-bar .clear-cart {
    font-size: 13px;
  }

  .shipping-cart-section .top-bar .delete-cart {
    font-size: 14px;
    gap: 4px;
  }

  .shipping-cart-section .top-bar .back-to-cart {
    /* padding-left: 30px; */
  }

  .shipping-cart-section .top-bar .delete-cart .icon-wrapper {
    height: 15px;
    width: 15px;
  }

  .shipping-cart-section .cart-item .checkbox-wrapper {
    margin-top: 6px;
    flex-shrink: 0;
  }

  .shipping-cart-section .cart-item .item-img {
    width: 80px;
    min-width: 80px;
    padding: 6px;
    margin-top: 5px;
    flex-shrink: 0;
  }

  .shipping-cart-section .cart-item .item-content {
    flex: 1 1;
    min-width: 0;
    width: 100%;
  }

  .shipping-cart-section .cart-item .top-row .product-name {
    flex: 1;
    font-size: 14px;
    line-height: 1.4;
    margin: 0;
  }

  .shipping-cart-section .cart-item .top-row .remove {
    width: 22px;
    height: 22px;
    min-width: 22px;
    font-size: 12px;
  }

  .shipping-cart-section .cart-item .sub {
    font-size: 12px;
    margin: 5px 0 8px;
    line-height: 1.4;
    gap: 4px;
  }

  .shipping-cart-section .cart-item .item-img {
    width: 60% !important;
    margin: 0 auto;
  }

  .shipping-cart-section .cart-item .sub .inner_p_text {
    margin-bottom: 10px !important;
  }

  .shipping-cart-section .cart-item .item-img .edit_div .inner_text {
    font-size: 14px !important;
  }

  .shipping-cart-section .cart-item .bottom_div {
    flex-wrap: wrap;
  }

  .shipping-cart-section .cart-item .bottom_div .qty_div {
    width: 50%;
  }

  .shipping-cart-section .cart-item .bottom_div .price_div {
    width: 50%;
    margin-bottom: 10px;
  }

  .shipping-cart-section .cart-item .product-name {
    font-size: 17px !important;
  }

  .shipping-cart-section .cart-item .bottom_div .qty_div .inner_text {
    font-size: 14px !important;
    text-align: right;
  }

  .shipping-cart-section .cart-item .bottom_div .price_div .price_text {
    font-size: 17px !important;
  }

  .shipping-cart-section .top-bar .clear-cart {
    font-size: 14px !important;
  }

  .shipping-cart-section .top-bar .items-cart {
    font-size: 15px;
  }

  .shipping-cart-section .cart-item .bottom_div .detail_text {
    font-size: 15px;
  }
  .shipping-cart-section .cart-item .item-img {
    max-height: 150px;
    overflow: hidden;
  }
}

@media (min-width: 0px) and (max-width: 390.98px) {
  .shipping-cart-section .top-bar .items-cart {
    font-size: 12px;
  }
  .shipping-cart-section .top-bar .clear-cart {
    font-size: 12px !important;
    /* color: #ee4823; */
  }
}
